import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:marking_app/common/model/enum/review_marks_bottom_btns_enum.dart';

// 底部按钮同步数据
final doPaperBottomReviewMarksProvider = StateNotifierProvider<DoPaperBottomReviewMarksHandle, ReviewMarksBottomBtnsEnum>(
  (ref) => DoPaperBottomReviewMarksHandle(ReviewMarksBottomBtnsEnum.DRAG),
);

class DoPaperBottomReviewMarksHandle extends StateNotifier<ReviewMarksBottomBtnsEnum> {
  DoPaperBottomReviewMarksHandle(ReviewMarksBottomBtnsEnum val) : super(val);

  void setState(ReviewMarksBottomBtnsEnum val) => state = val;
}
